<template>
  <div class="cmain">
    <div v-html="form.contents" class="mcontents"></div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      form: {}
    };
  },
  props: {
    param: {
      type: Object,
      default: () => {
        return {};
      }
    },
    layerid: {
      type: String
    }
  },
  mounted() {
    if (this.param.id) {
      this.ajax({ url: '/work/notice/detail/' + this.param.id }).then((response) => {
        this.form = response.data;
        this.form.contents = response.data.contents.replace(new RegExp('/profile/upload/', 'g'), this.baseUrl + '/profile/upload/');
      });
    }
  },
  methods: {}
};
</script>
<style lang="scss">
.mcontents {
  padding: 0px 10px 10px 10px;
  img {
    width: 100%;
  }
}
</style>
